## linux-backports-modules-2.6.24 2.6.24-29.88netbook01

=== updates/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

obj-$(CONFIG_USB_UVCCAM) += media/usbvideo/
obj-$(CONFIG_USB_BCM_TCOUCHPAD) += input/mouse/
obj-$(CONFIG_USB_WACOM_TABLET)	+= input/tablet/
obj-$(CONFIG_IGB) += net/igb/
obj-$(CONFIG_E1000E) += net/e1000e/
obj-$(CONFIG_APPLESMC) += hwmon/
