=== updates/hwmon/Makefile ===
obj-m	+= applesmc.o
