=== updates/input/mouse/Makefile ===
obj-m	+= bcm5974.o
