=== updates/input/tablet/Makefile ===
wacom-objs	:= wacom_wac.o wacom_sys.o

obj-m	+= wacom.o
