=== updates/media/usbvideo/Makefile ===
EXTRA_CFLAGS += -I$(src)/include
obj-m		:= uvcvideo.o
uvcvideo-objs   := uvc_driver.o uvc_queue.o uvc_v4l2.o uvc_video.o uvc_ctrl.o uvc_status.o uvc_isight.o uvc_isight_firmware.o
