=== updates/compat-wireless-2.6/net/wireless/Makefile ===
obj-$(CONFIG_CFG80211) += lbm_cw-cfg80211.o

lbm_cw-cfg80211-y += core.o sysfs.o radiotap.o util.o reg.o compat.o
lbm_cw-cfg80211-$(CONFIG_NL80211) += nl80211.o
