=== updates/iwlwifi/net/wireless/Makefile ===
obj-$(CONFIG_CFG80211) += cfg80211.o

cfg80211-y += core.o sysfs.o radiotap.o util.o reg.o compat.o
cfg80211-$(CONFIG_NL80211) += nl80211.o
