=== debian/changelog ===
linux-backports-modules-2.6.24 (2.6.24-29.88netbook01) netbook-common; urgency=low

  [Ike Panhc]

  * Bump ABI to -29

 -- Ike Panhc <ike.pan@canonical.com>  Thu, 21 Apr 2011 14:22:49 +0800
