=== debian/changelog ===
linux-backports-modules-2.6.24 (2.6.24-32.44) hardy-proposed; urgency=low

  * Bump ABI to -32

 -- Luis Henriques <luis.henriques@canonical.com>  Mon, 02 Jul 2012 16:49:08 +0100

linux-backports-modules-2.6.24 (2.6.24-31.43) hardy-proposed; urgency=low

  * Bump ABI to -31

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Tue, 14 Feb 2012 10:55:16 -0200

linux-backports-modules-2.6.24 (2.6.24-30.42) hardy-proposed; urgency=low

  [Upstream Kernel Changes]

  * e1000e: Update driver to Intel v1.3.17
    - LP: #805854

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Mon, 07 Nov 2011 20:48:40 -0200

linux-backports-modules-2.6.24 (2.6.24-29.41) hardy; urgency=low

  [Tim Gardner]

  * Disable compat-wireless for HPPA
    Fixes HPPA FTBS
    - LP: #745216

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 29 Mar 2011 14:21:28 -0600

linux-backports-modules-2.6.24 (2.6.24-29.40) hardy; urgency=low

  [Tim Gardner]

  * No change rebuild. LUM headers had incorrect ABI in debian/control

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 24 Mar 2011 15:14:34 +0000

linux-backports-modules-2.6.24 (2.6.24-29.39) hardy; urgency=low

  [Upstream Kernel Changes]

  * Correctly regenerate debian/control, etc. The previous upload was
    still referring to the 28 ABI.

 --  Tim Gardner <tim.gardner@canonical.com>  Wed, 23 Mar 2011 21:38:41 +0000

linux-backports-modules-2.6.24 (2.6.24-29.38) hardy-proposed; urgency=low

  [Brad Figg]

  * Bump ABI to -29

 -- Brad Figg <brad.figg@canonical.com>  Wed, 16 Mar 2011 11:35:41 -0700

linux-backports-modules-2.6.24 (2.6.24-28.37) hardy-security; urgency=low

  [Stefan Bader]

  * Bump ABI to -28 for security release

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 07 May 2010 12:57:29 +0000

linux-backports-modules-2.6.24 (2.6.24-27.36) hardy-security; urgency=low

  [Leann Ogasawara]

  * Bump ABI to -27 for security release

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 25 Jan 2010 10:50:57 -0800

linux-backports-modules-2.6.24 (2.6.24-26.35) hardy-proposed; urgency=low

  [Ike Panhc]

  * rt2x00: Hardcode TX ack timeout and consume time
    - LP: #444377
  * SAUCE: Report TX retry and fail count to mac80211 in rt73usb
    - LP: #444377

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 08 Dec 2009 11:00:24 +0100

linux-backports-modules-2.6.24 (2.6.24-26.34) hardy-security; urgency=low

  [Leann Ogasawara]

  * Bump ABI to -26 for security release

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Tue, 01 Dec 2009 00:05:08 -0800

linux-backports-modules-2.6.24 (2.6.24-25.33) hardy-security; urgency=low

  Bump ABI to -25 due to security update

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 12 Oct 2009 12:38:24 -0700

linux-backports-modules-2.6.24 (2.6.24-24.32) hardy-proposed; urgency=low

  [Stefan Bader]

  * SAUCE: compat-wireless: Fix module load for crypto modules
    - LP: #322434

  [Upstream Kernel Changes]

  * rt2x00: Fix race conditions in flag handling
    - LP: #258985
  * iwlwifi: scan correct setting of valid rx_chains
    - LP: #330902

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 25 Feb 2009 17:46:49 +0100
