=== debian/control ===
Source: linux-backports-modules-2.6.24
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.24-32-386 [i386], linux-headers-lum-2.6.24-32-386 [i386], linux-headers-2.6.24-32-generic [i386 amd64], linux-headers-lum-2.6.24-32-generic [i386 amd64], linux-headers-2.6.24-32-hppa32 [hppa], linux-headers-lum-2.6.24-32-hppa32 [hppa], linux-headers-2.6.24-32-hppa64 [hppa], linux-headers-lum-2.6.24-32-hppa64 [hppa], linux-headers-2.6.24-32-itanium [ia64], linux-headers-lum-2.6.24-32-itanium [ia64], linux-headers-2.6.24-32-lpia [lpia], linux-headers-lum-2.6.24-32-lpia [lpia], linux-headers-2.6.24-32-lpiacompat [lpia], linux-headers-lum-2.6.24-32-lpiacompat [lpia], linux-headers-2.6.24-32-mckinley [ia64], linux-headers-lum-2.6.24-32-mckinley [ia64], linux-headers-2.6.24-32-openvz [i386 amd64], linux-headers-lum-2.6.24-32-openvz [i386 amd64], linux-headers-2.6.24-32-powerpc [powerpc], linux-headers-lum-2.6.24-32-powerpc [powerpc], linux-headers-2.6.24-32-powerpc-smp [powerpc], linux-headers-lum-2.6.24-32-powerpc-smp [powerpc], linux-headers-2.6.24-32-powerpc64-smp [powerpc], linux-headers-lum-2.6.24-32-powerpc64-smp [powerpc], linux-headers-2.6.24-32-rt [i386 amd64], linux-headers-lum-2.6.24-32-rt [i386 amd64], linux-headers-2.6.24-32-server [i386 amd64], linux-headers-lum-2.6.24-32-server [i386 amd64], linux-headers-2.6.24-32-sparc64 [sparc], linux-headers-lum-2.6.24-32-sparc64 [sparc], linux-headers-2.6.24-32-sparc64-smp [sparc], linux-headers-lum-2.6.24-32-sparc64-smp [sparc], linux-headers-2.6.24-32-virtual [i386], linux-headers-lum-2.6.24-32-virtual [i386], linux-headers-2.6.24-32-xen [i386 amd64], linux-headers-lum-2.6.24-32-xen [i386 amd64]

Package: linux-headers-lbm-2.6.24-32
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-386
Architecture: i386
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-386
Architecture: i386
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-386, linux-headers-lum-2.6.24-32-386
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-generic, linux-headers-lum-2.6.24-32-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-hppa32
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-hppa32, linux-headers-lum-2.6.24-32-hppa32
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-hppa64
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-hppa64, linux-headers-lum-2.6.24-32-hppa64
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-itanium
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-itanium, linux-headers-lum-2.6.24-32-itanium
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-lpia
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-lpia, linux-headers-lum-2.6.24-32-lpia
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-lpiacompat
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpiacompat
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpiacompat.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpiacompat meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-lpiacompat, linux-headers-lum-2.6.24-32-lpiacompat
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-mckinley
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-32-mckinley, linux-headers-lum-2.6.24-32-mckinley
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-32/debian.README.gz for details

Package: linux-backports-modules-2.6.24-32-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-32-openvz
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-openvz meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-32-openvz
Architecture: i386 amd64
